:root {
  // Width
  --min-width: 360px;
  --max-width: 1500px;
  // Height
  --header-height: 140px;
  // Gaps
  --gap-very-large: 44px;
  --gap-large: 30px;
  --gap-medium: 20px;
  --gap-small: 5px;
  // Transition
  --transition: 0.25s ease-in-out;
  // Font family
  --font-family-global: eU_Light, sans-serif;
  --font-family-regular: eUH_Regular, sans-serif;
  --font-family-light: eUH_Light, sans-serif;

  // Font color
  --font-primary-color: #242424;
  --font-secondary-color: rgba(36, 36, 36, 0.8);
  // Body color
  --body-bg-color-primary: #ffffff;
  --body-bg-color-secondary: #242424;
  // Btn color
  --btn-bg-color-primary: #ffffff;
  --btn-bg-color-secondary: #242424;
  --btn-font-color-primary: #242424;
  --btn-font-color-secondary: #ffffff;
  // Footer
  --footer-bg-color: #f2f2f2;
  // Input color
  --input-border-color: #242424;
  // Border color
  --border-color-primary: #242424;
  --border-color-secondary: rgba(36, 36, 36, 0.5);
  // Box shadow
  --box-shadow-primary: 0 0 4px #ffffff;
  // Scroll
  --scrollbar-thumb-bg-color: #242424;
  --scrollbar-thumb-border-color: #ffffff;
  --scrollbar-track-bg-color: #ffffff;

  body[data-theme='dark'] {
    // Font color
    --font-primary-color: #ffffff;
    --font-secondary-color: rgba(255, 255, 255, 0.8);
    // Body color
    --body-bg-color-primary: #242424;
    --body-bg-color-secondary: #ffffff;
    // Btn color
    --btn-bg-color-primary: #242424;
    --btn-bg-color-secondary: #ffffff;
    --btn-font-color-primary: #ffffff;
    --btn-font-color-secondary: #242424;
    // Footer
    --footer-bg-color: #000000;
    // Input color
    --input-border-color: #ffffff;
    // Border color
    --border-color-primary: #ffffff;
    --border-color-secondary: rgba(255, 255, 255, 0.5);
    // Box shadow
    --box-shadow-primary: 0 0 4px #242424;
    // Scroll
    --scrollbar-thumb-bg-color: #ffffff;
    --scrollbar-thumb-border-color: #242424;
    --scrollbar-track-bg-color: #242424;
  }
}
